Bug 1106852 - sendmail {client_port} not set correctly on little endian machines
Summary: sendmail {client_port} not set correctly on little endian machines
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sendmail
Version: 6.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Jaroslav Škarvada
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1210914 1210915
TreeView+ depends on / blocked
 
Reported: 2014-06-09 17:49 UTC by Kelsey Cummings
Modified: 2018-10-01 10:24 UTC (History)
3 users (show)

(edit)
Previously, the "{client_port}" value could not be used on little-endian machines, for example in mail filters, because it was set incorrectly. This update corrects the "{client_port}" value on little-endian machines.
Clone Of:
: 1210914 1210915 (view as bug list)
(edit)
Last Closed: 2015-07-22 06:24:21 UTC


Attachments (Terms of Use)
sendmail patch (584 bytes, patch)
2014-06-09 17:49 UTC, Kelsey Cummings
no flags Details | Diff
sendmail spec patch (1.19 KB, patch)
2014-06-09 17:49 UTC, Kelsey Cummings
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:1299 normal SHIPPED_LIVE sendmail bug fix update 2015-07-20 17:53:56 UTC

Description Kelsey Cummings 2014-06-09 17:49:15 UTC
Created attachment 905453 [details]
sendmail patch

Description of problem:

Sendmail does not call ntohs on sin.sin_port when setting {client_port} leading to a useless value being set for use by milters, etc. 

Additional info: 

Patch accepted upstream for future release.

Comment 1 Kelsey Cummings 2014-06-09 17:49:47 UTC
Created attachment 905455 [details]
sendmail spec patch

Comment 4 Jaroslav Škarvada 2015-02-03 16:56:14 UTC
Thanks for the patch.

Comment 6 Alois Mahdal 2015-04-04 03:29:11 UTC
Ran tests on all supported archs and results are as expected:

 *  On Big endian (s390x, ppc64), passing with both old and new,
 *  and on little endian (x86_64, i386), failing with old and passing with new.

Comment 8 errata-xmlrpc 2015-07-22 06:24:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-1299.html


Note You need to log in before you can comment on or make changes to this bug.